Bug 99783 - Overline button fails to switch pressed/upressed state while moving the caret
Summary: Overline button fails to switch pressed/upressed state while moving the caret
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
5.1.1.3 release
Hardware: All All
: low trivial
Assignee: Maxim Monastirsky
URL:
Whiteboard: target:5.2.0
Keywords: needsDevEval
Depends on:
Blocks:
 
Reported: 2016-05-11 18:41 UTC by OfficeUser
Modified: 2016-10-25 19:01 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
issue.ods (7.49 KB, application/vnd.oasis.opendocument.spreadsheet)
2016-05-11 18:42 UTC, OfficeUser
Details

Note You need to log in before you can comment on or make changes to this bug.
Description OfficeUser 2016-05-11 18:41:10 UTC
- Enable the "Overline" button in the "Formatting" toolbar (if not already)
=> It will be displayed next to the Underline button
- Open the attached ods-file
- Press F2 on cell A1 to enter the edit mode
- Use arrow-left and arrow-right keys to move the caret while watching the Overline and Underline button of the Formatting bar

Result: The Underline button changes - as expected - to pressed state while the caret is within the underlined part. But the Overline button does not change to pressed state while the caret is within overlined part of the text.


Bug found in the following build:
Version: 5.1.1.3
Build ID: 89f508ef3ecebd2cfb8e1def0f0ba9a803b88a6d
CPU Threads: 8; OS Version: Windows 6.1; UI Render: default; 
Locale: de-DE (de_DE)
Comment 1 OfficeUser 2016-05-11 18:42:15 UTC
Created attachment 124990 [details]
issue.ods
Comment 2 OfficeUser 2016-05-11 19:11:34 UTC
Additional info:

The problem does not occur if placing the caret by mouse.

Bug confirmed in addition with the following build:
Version: 5.1.3.2
Build-ID: 1:5.1.3~rc2-0ubuntu1~trusty1
CPU-Threads: 8; BS-Version: Linux 3.16; UI-Render: Standard; 
Gebietsschema: de-DE (de_DE.UTF-8)
Comment 3 Buovjaga 2016-05-13 05:34:51 UTC
Confirmed.
Overline seems like quite a new feature.

Win 7 Pro 64-bit Version: 5.2.0.0.alpha1+
Build ID: 3d27afd26f7b85c46a7c7d08498000b9dbcea1c8
CPU Threads: 4; OS Version: Windows 6.1; UI Render: default; 
TinderBox: Win-x86@42, Branch:master, Time: 2016-05-09_02:42:15
Locale: fi-FI (fi_FI)
Comment 4 OfficeUser 2016-05-15 10:44:13 UTC
(In reply to Buovjaga from comment #3)
> Confirmed.
> Overline seems like quite a new feature.

I think overline is an old feature inherited from StarOffice.
Comment 5 Commit Notification 2016-05-15 12:46:32 UTC
Maxim Monastirsky committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=4154f8bc5a905a39f18914613788b3a17f139745

tdf#99783 Invalidate SID_ATTR_CHAR_OVERLINE

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Maxim Monastirsky 2016-05-15 12:47:23 UTC
This seems to do the trick.
Comment 7 OfficeUser 2016-05-25 17:05:51 UTC
Thanks!